Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.crmf
Interface CRMFObjectIdentifiers

public interface CRMFObjectIdentifiers

Field Summary
`static ASN1ObjectIdentifier` | `id_alg` 1.3.6.1.5.5.7.6
`static ASN1ObjectIdentifier` | `id_alg_dh_pop`
`static ASN1ObjectIdentifier` | `id_ct_encKeyWithID` 1.2.840.113549.1.9.16.1,21
`static ASN1ObjectIdentifier` | `id_dh_sig_hmac_sha1`
`static ASN1ObjectIdentifier` | `id_pkip` 1.3.6.1.5.5.7.5
`static ASN1ObjectIdentifier` | `id_pkix` 1.3.6.1.5.5.7
`static ASN1ObjectIdentifier` | `id_regCtrl` 1.3.6.1.5.5.7.1
`static ASN1ObjectIdentifier` | `id_regCtrl_authenticator` 1.3.6.1.5.5.7.1.2
`static ASN1ObjectIdentifier` | `id_regCtrl_oldCertID` 1.3.6.1.5.5.7.1.5
`static ASN1ObjectIdentifier` | `id_regCtrl_pkiArchiveOptions` 1.3.6.1.5.5.7.1.4
`static ASN1ObjectIdentifier` | `id_regCtrl_pkiPublicationInfo` 1.3.6.1.5.5.7.1.3
`static ASN1ObjectIdentifier` | `id_regCtrl_protocolEncrKey` 1.3.6.1.5.5.7.1.6
`static ASN1ObjectIdentifier` | `id_regCtrl_regToken` 1.3.6.1.5.5.7.1.1
`static ASN1ObjectIdentifier` | `id_regInfo` 1.3.6.1.5.5.7.2
`static ASN1ObjectIdentifier` | `id_regInfo_certReq` 1.3.6.1.5.5.7.2.2
`static ASN1ObjectIdentifier` | `id_regInfo_utf8Pairs` 1.3.6.1.5.5.7.2.1
`static ASN1ObjectIdentifier` | `passwordBasedMac`

Field Detail

### passwordBasedMac

    public static final ASN1ObjectIdentifier passwordBasedMac

### id_pkix

    public static final ASN1ObjectIdentifier id_pkix

  1.3.6.1.5.5.7

### id_pkip

    public static final ASN1ObjectIdentifier id_pkip

  1.3.6.1.5.5.7.5

### id_regCtrl

    public static final ASN1ObjectIdentifier id_regCtrl

  1.3.6.1.5.5.7.1

### id_regCtrl_regToken

    public static final ASN1ObjectIdentifier id_regCtrl_regToken

  1.3.6.1.5.5.7.1.1

### id_regCtrl_authenticator

    public static final ASN1ObjectIdentifier id_regCtrl_authenticator

  1.3.6.1.5.5.7.1.2

### id_regCtrl_pkiPublicationInfo

    public static final ASN1ObjectIdentifier id_regCtrl_pkiPublicationInfo

  1.3.6.1.5.5.7.1.3

### id_regCtrl_pkiArchiveOptions

    public static final ASN1ObjectIdentifier id_regCtrl_pkiArchiveOptions

  1.3.6.1.5.5.7.1.4

### id_regCtrl_oldCertID

    public static final ASN1ObjectIdentifier id_regCtrl_oldCertID

  1.3.6.1.5.5.7.1.5

### id_regCtrl_protocolEncrKey

    public static final ASN1ObjectIdentifier id_regCtrl_protocolEncrKey

  1.3.6.1.5.5.7.1.6

### id_regInfo

    public static final ASN1ObjectIdentifier id_regInfo

  1.3.6.1.5.5.7.2

### id_regInfo_utf8Pairs

    public static final ASN1ObjectIdentifier id_regInfo_utf8Pairs

  1.3.6.1.5.5.7.2.1

### id_regInfo_certReq

    public static final ASN1ObjectIdentifier id_regInfo_certReq

  1.3.6.1.5.5.7.2.2

### id_ct_encKeyWithID

    public static final ASN1ObjectIdentifier id_ct_encKeyWithID

  1.2.840.113549.1.9.16.1,21

### id_alg

    public static final ASN1ObjectIdentifier id_alg

  1.3.6.1.5.5.7.6

### id_dh_sig_hmac_sha1

    public static final ASN1ObjectIdentifier id_dh_sig_hmac_sha1

### id_alg_dh_pop

    public static final ASN1ObjectIdentifier id_alg_dh_pop

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD